Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009207 [DCSS] Bug Report major always 2014-11-17 08:51 2015-01-30 00:28
Reporter Kadarus View Status public  
Assigned To sgrunt
Priority normal Resolution done  
Status resolved   Product Branch 0.16 ancient branch
Summary 0009207: Screen does not redraw correctly
Description Webtiles screen redraws incorrectly. This seem to appear only on Firefox.
Additional Information
Tags No tags attached.
Attached Files jpg file icon screenshot.13.jpg [^] (299,680 bytes) 2014-11-17 08:51
jpg file icon screenshot.12.jpg [^] (232,371 bytes) 2014-11-17 08:52
png file icon Graphical error.png [^] (475,057 bytes) 2014-11-18 12:08
png file icon fuckeddisplay.png [^] (294,328 bytes) 2014-11-20 09:13
png file icon shaggeddisplay.png [^] (674,262 bytes) 2014-11-21 13:02
png file icon Screen Shot 2015-01-29 at 12.26.27 PM.png [^] (693,504 bytes) 2015-01-30 00:28
txt file icon Dragon.txt [^] (26,059 bytes) 2015-01-30 00:28 [Show Content]

- Relationships
has duplicate 0009208closed Webtiles fails to update display (in Firefox) 
has duplicate 0009209closed Cannot see my moves 

-  Notes
(0027788)
Kadarus (reporter)
2014-11-17 09:05

Some users report it on IE (version 11.0.96) too.
(0027790)
sgrunt (administrator)
2014-11-17 18:07

This was completely my fault for using a poorly supported HTML5 method in 0.16-a0-2348-g0475afa. It's fixed in 0.16-a0-2373-g80e497d and the fix is rolling out to servers now.
(0027802)
esran (reporter)
2014-11-18 12:09

Bug is happening in latest trunk build in CAO in firefox. Uploaded screen shot Graphical error.
(0027848)
Tolias (reporter)
2014-11-20 09:14
edited on: 2014-11-20 09:17

This is still going on as of today, on Lantea trunk with Firefox. Chrome works ok.

(0027856)
wheals (administrator)
2014-11-20 22:44

Clan had an old trunk.
(0027862)
Tolias (reporter)
2014-11-21 13:03

Is the fixed trunk in? Cause it's still messed up.
(0028403)
Saul (reporter)
2015-01-30 00:26

This happened to me today. I read an unidentified scroll in the Lair that turned out to be a scroll of silence. Immediately after that I hit 'o' to auto-explore. I have my auto-explore_delay set to 0. When the auto-explore ended, the screen was not redrawn correctly. I had 1 spectator in the game, but we hadn't chatted at all. Ctrl-R did nothing to redraw the screen, maybe it was caught by Chrome, but I don't think so. I then climbed up a set of stairs and that fixed it. Going immediately back down the stairs showed that the odd affect was gone :) I've added a screen shot and a character dump.

- Issue History
Date Modified Username Field Change
2014-11-17 08:51 Kadarus New Issue
2014-11-17 08:51 Kadarus File Added: screenshot.13.jpg
2014-11-17 08:52 Kadarus File Added: screenshot.12.jpg
2014-11-17 09:05 Kadarus Note Added: 0027788
2014-11-17 16:50 sgrunt Assigned To => sgrunt
2014-11-17 16:50 sgrunt Status new => assigned
2014-11-17 16:50 sgrunt Relationship added has duplicate 0009208
2014-11-17 16:51 sgrunt Relationship added has duplicate 0009209
2014-11-17 18:07 sgrunt Note Added: 0027790
2014-11-17 18:07 sgrunt Status assigned => resolved
2014-11-17 18:07 sgrunt Resolution open => done
2014-11-17 18:07 sgrunt Fixed in Branch => 0.16 development branch
2014-11-18 12:08 esran File Added: Graphical error.png
2014-11-18 12:09 esran Note Added: 0027802
2014-11-20 09:12 Tolias Issue Monitored: Tolias
2014-11-20 09:13 Tolias File Added: fuckeddisplay.png
2014-11-20 09:14 Tolias Note Added: 0027848
2014-11-20 09:17 Tolias Note Edited: 0027848
2014-11-20 22:44 wheals Note Added: 0027856
2014-11-21 13:02 Tolias File Added: shaggeddisplay.png
2014-11-21 13:03 Tolias Note Added: 0027862
2015-01-30 00:26 Saul Note Added: 0028403
2015-01-30 00:28 Saul File Added: Screen Shot 2015-01-29 at 12.26.27 PM.png
2015-01-30 00:28 Saul File Added: Dragon.txt
2015-01-30 00:28 Saul Issue Monitored: Saul


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker